"""Simple water flow example using ANUGA
Water flowing down a channel
"""
#------------------------------------------------------------------------------
# Import necessary modules
#------------------------------------------------------------------------------
# Import standard shallow water domain and standard boundaries.
import anuga
import random
import subprocess
import csv
import os
import time
import liststore
from anuga.utilities import system_tools, log
from anuga.abstract_2d_finite_volumes.util import add_directories


#------------------------------------------------------------------------------
# Setup computational domain
#------------------------------------------------------------------------------
a = []
host = os.getenv('HOST')
home1 = os.getenv('INUNDATIONHOME')
scenariodir = add_directories(home1, ["data","mem_time_test", "parallel","cairns"])
file1 = 'ex1.csv'
file_path = os.path.join(scenariodir, file1)
store ='store.txt'
file_path_store = os.path.join(scenariodir, store)

log.log_filename = os.path.join(scenariodir, 'log.txt')

spamWriter = csv.writer(open(file_path, 'wb'))
spamWriter.writerow(['Number Of Processors' , 'Space Used MB' , 'Time Taken s'])
e = open(file_path_store,'a')
e.close()

maxcpus = 18

for n in range(1,maxcpus,1):
    z = time.time()
    y = time.time()

    if (host == 'cyclone.agso.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
    if (host == 'tornado.agso.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py'])
    if (host == 'vayu1'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
    if (host == 'rhe-compute1.ga.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
    if (host == 'xe'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py'])

    liststore.spacelist = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
    f = open(file_path_store,'r+')
    x = float(f.readline())
    f.close()
    spamWriter.writerow([n,x ,(y-z)])
print a

