"""Simple water flow example using ANUGA
Water flowing down a channel
"""
#------------------------------------------------------------------------------
# Import necessary modules
#------------------------------------------------------------------------------
# Import standard shallow water domain and standard boundaries.
import anuga
import random
import subprocess
import run_parallel
import csv
import os
import time
import liststore
from anuga.utilities import system_tools, log
from anuga.abstract_2d_finite_volumes.util import add_directories


#------------------------------------------------------------------------------
# Setup computational domain
#------------------------------------------------------------------------------
a = []
host = os.getenv('HOST')
home = os.getenv('INUNDATIONHOME')
scenariodir = add_directories(home, ["data","mem_time_test", "parallel","template"])
file1 = 'ex1.csv'
file_path = os.path.join(scenariodir, file1)
storel ='storel.txt'
file_path_storel = os.path.join(scenariodir, storel)
storea ='storea.txt'
file_path_storea = os.path.join(scenariodir, storea)
store ='store.txt'
file_path_store = os.path.join(scenariodir, store)
storen ='storen.txt'
file_path_storen = os.path.join(scenariodir, storen)

log.log_filename = os.path.join(scenariodir, 'log.txt')

spamWriter = csv.writer(open(file_path, 'wb'))
spamWriter.writerow(['Number Of Processors' , 'Space Used MB' , 'Time Taken s','Total Space'])
e = open(file_path_store,'a')
e.close()



for n in range(1,40,1):
    z = time.time()
    if (host == 'cyclone.agso.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
    if (host == 'tornado.agso.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py'])
    if (host == 'vayu1'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
    if (host == 'rhe-compute1.ga.gov.au'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
    if (host == 'xe'):
        subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py'])
 
    y = time.time()
    f = open(file_path_store,'r+')
    x = float(f.readline())
    f.close()
    spamWriter.writerow([n,liststore.spacelist,(y-z),x])
    liststore.spacelist = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
print a

