"""Simple water flow example using ANUGA
Water flowing down a channel
"""
#------------------------------------------------------------------------------
# Import necessary modules
#------------------------------------------------------------------------------
# Import standard shallow water domain and standard boundaries.
import anuga
import random
import subprocess
import ex1
import csv
import os
import time
from anuga.utilities import system_tools, log
from anuga.abstract_2d_finite_volumes.util import add_directories

#------------------------------------------------------------------------------
# Setup computational domain
#------------------------------------------------------------------------------
a = []


home = os.getenv('INUNDATIONHOME')
scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                     "channelflow"])

log.log_filename = os.path.join(scenariodir, 'log.txt')

file = 'ex1.csv'
file_path = os.path.join(scenariodir, file)

spamWriter = csv.writer(open(file_path, 'wb'))
spamWriter.writerow(['Length','Stage','Time','Space'])

for i in range(100,100000,10000):

    for n in range(1,i/10,i/100):
        i = i /100.0
        n = n/float(i) 
        system_tools.MemoryUpdate()
        z = time.time()
        ex1.runex(n,i)
        b = system_tools.MemoryUpdate()[0]
        y = time.time()
        spamWriter.writerow([i,(n/float(i)) ,(y-z), b])
print a

