"""Simple water flow example using ANUGA
Water flowing down a channel
"""
#------------------------------------------------------------------------------
# Import necessary modules
#------------------------------------------------------------------------------
# Import standard shallow water domain and standard boundaries.
import anuga
import random
import subprocess
import ex1
import csv
import os
import time
from anuga.utilities import log
from anuga.utilities import system_tools
from anuga.abstract_2d_finite_volumes.util import add_directories

#------------------------------------------------------------------------------
# Setup computational domain
#------------------------------------------------------------------------------
a = []

home = os.getenv('INUNDATIONHOME')
scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                     "velocity"])

file = 'ex1.csv'
file_path = os.path.join(scenariodir, file)

log.log_filename = os.path.join(scenariodir, 'log.txt')

spamWriter = csv.writer(open(file_path, 'wb'))
spamWriter.writerow(['Velocity','Number Of Triangles','Extent','Time','Space'])
system_tools.MemoryUpdate()


for m in range(0,250,10):
     for i in range(1,2000,100):  
        system_tools.MemoryUpdate()[0]
        z = time.time()
        h = ex1.runex(k,i)
        b = system_tools.MemoryUpdate()[0]
        y = time.time()
        spamWriter.writerow([k,h,(i*i),(y-z), b])

print 'DONE'  
