"""Simple water flow example using ANUGA
Water flowing down a channel
"""
#------------------------------------------------------------------------------
# Import necessary modules
#------------------------------------------------------------------------------
# Import standard shallow water domain and standard boundaries.
import anuga
import random
import subprocess
import runcairns
import csv
import os
import time
from anuga.utilities import system_tools, log
from anuga.abstract_2d_finite_volumes.util import add_directories
import logAnalyser
#------------------------------------------------------------------------------
# Setup computational domain
#------------------------------------------------------------------------------
a = []
m = 20 

home = os.getenv('INUNDATIONHOME')


scenariodir = add_directories(home, ["data","mem_time_test", "triangles",
                                     "serial"])
file = 'ex1.csv'

#log.log_filename = os.path.join(scenariodir, 'anuga.log')

file_path = os.path.join(scenariodir, file)
#print "file_path",file_path

spamWriter = csv.writer(open(file_path, 'wb'))
spamWriter.writerow(['Number Of Triangles' ,'Max Triangle Area', 'Extent', 'Space Used MB' , 'Time Taken s'])
outputresource = os.path.join(scenariodir,'test.csv')



def runlist(r):
    n = 1 #20
    while (n > 0):
        c = 2 #random.random() * 2000 + 1
        z = time.time()
        h = runcairns.runex(c,r)
        y = time.time()
        n = n -1
        #subprocess.call(['python','timingScript.py',scenariodir,outputresource])
        logAnalyser.AnalyseLog()
        spamWriter.writerow([h,r,(c*c),'x' ,(y-z)])

while (m > 0):
    m = m -1
    d = 101 #random.random() * 100 +1
    
    runlist(d)

print 'DONE'

